Provider Notes
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/video-synthesis/'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "animate-anyone-gen2",
"input": {
"image_url": "http://xxx/1.jpg",
"template_id": "AACT.xxx.xxx-xxx.xxx"
},
"parameters": {
"use_ref_img_bg": false,
"video_ratio": "9:16"
}
}'Success response
{
"output": {
"task_status": "PENDING",
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
},
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}Use the returned request_id to query task progress through a GET request.
curl -X GET {{BASE_URL}}/qwen/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxx
--header "Authorization: Bearer $DASHSCOPE_API_KEY"This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --location --request POST '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/aa-detect'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data-raw '{
"model": "animate-anyone-detect-gen2",
"input": {
"image_url":"http://xxx/1.jpg"
},
"parameters": {
}
}'This section contains endpoint-specific behavior, parameters, or usage notes for this API.
{
"request_id":"7574ee8f-38a3-4b1e-9280-11c33ab46e51",
"output":{
"task_id":"a8532587-fa8c-4ef8-82be-0c46b17950d1",
"task_status":"SUCCEEDED",
"video_url":"https://xxx/1.mp4"
},
"usage":{
"video_duration": 10.23,
"video_ratio": "standard"
}
}This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/aa-template-generation/'
--header 'X-DashScope-Async: enable'
--header 'Authorization: Bearer <YOUR_API_KEY>'
--header 'Content-Type: application/json'
--data '{
"model": "animate-anyone-template-gen2",
"input": {
"video_url": "http://xxx/1.mp4"
},
"parameters": {
}
}'Success response
{
"output": {
"task_id": "a8532587-fa8c-4ef8-82be-0c46b17950d1",
"task_status": "PENDING"
}
"request_id": "7574ee8f-38a3-4b1e-9280-11c33ab46e51"
}Use the returned request_id to query task progress through a GET request.
curl -X GET {{BASE_URL}}/qwen/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxx
--header "Authorization: Bearer $DASHSCOPE_API_KEY"Available Models
| Model Name | Notes | Unit Price |
|---|---|---|
| animate-anyone-detect-gen2 | Provider note | 0.004Provider note |
| animate-anyone-template-gen2 | Provider note | 0.08Provider note |
| animate-anyone-gen2 | Provider note |